### Method

# GIRepository ObjectInfo get_get_value_function_pointer

since: 2.80

#### Declaration [src]

    GIObjectInfoGetValueFunction
    gi_object_info_get_get_value_function_pointer (
      GIObjectInfo* info
    )

#### Description [src]

Obtain a pointer to a function which can be used to extract an instance of this object type out of a `GValue`.

This takes derivation into account and will reversely traverse the base classes of this type, starting at the top type.

Available since: 2.80

This method is not directly available to language bindings.

#### Return value

Type: `GIObjectInfoGetValueFunction`

The function pointer, or `NULL` if the object type has no get-value function.